Skip to Main Content Skip to Search
Accelerating the pace of engineering and science

 

System Requirements - Release 2010a

Choose Your Operating System

View special Polyspace product system requirements

Linux

Operating Systems Processors Disk Space RAM
32-Bit and 64-Bit MathWorks Products

Qualified distributions*:

Ubuntu 8.04, 8.10, 9.04, and 9.10

Red Hat Enterprise Linux 5.x

SUSE Linux Enterprise Desktop 11.x

Debian 5.x

Any Intel or AMD x86 processor supporting SSE2 instruction set**

1 GB for MATLAB only,
3–4 GB for a typical installation

1024 MB
(At least 2048 MB recommended)


* The listed distributions are those Linux distributions that MathWorks products have been validated against. It is likely that other distributions with kernel version 2.6 or later and glibc version 2.5 or later can successfully run MathWorks products, but The MathWorks will be in a limited position to provide technical support for those distributions.

** You can find more information in Solution 1-B3MR75.

License Management

  • Some license types require a license server running FLEXnet 11.6.1, which is provided by the MathWorks installer. A license server that is serving multiple releases of MATLAB must use the version of FLEXnet shipped with the latest release of MATLAB being served.
  • TCP/IP is required on all platforms when using a license server.

Platform/Version Availability

See all platforms for:

See all products for:

Support for Products on Operating Systems No Longer Supported

If you are enrolled in Software Maintenance Service, MathWorks will respond to technical questions and provide workarounds when possible for a period of two years from the date when MathWorks ended support for an operating system. See the platform road map for more information.

Contact Us

Call MathWorks: 508-647-7000